Bug 490583 - Package includes the wrong fonts, so rendering of most Myanmar words is wrong
Package includes the wrong fonts, so rendering of most Myanmar words is wrong
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: padauk-fonts (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Minto Joseph
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 01:00 EDT by Keith Stribley
Modified: 2013-11-17 20:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:31:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Stribley 2009-03-17 01:00:09 EDT
Description of problem:

The package is packaging fonts from the font-source directory which have no Graphite or OpenType font tables. This means that most Myanmar words render completely wrongly.

Please use Padauk.ttf and Padauk-Bold.ttf NOT padauk-src.ttf and padaukbold-src.ttf.

Version-Release number of selected component (if applicable):
2.4-2

How reproducible:
Always

Steps to Reproduce:
1.type a Myanmar word in gedit
e.g. မြန်မာ 
  
Actual results:
The wrap U+103C is rendered around the second consonant, which is wrong.

Expected results:
The wrap U+103C should be around the first consonant

Additional info:
Comment 1 Minto Joseph 2009-03-24 06:37:38 EDT
Could you download the following rpm and check?

http://mintojoseph.fedorapeople.org/packages/newguide/sil-padauk-fonts-2.4-4.fc10.noarch.rpm

# rpm -ql sil-padauk-fonts
/etc/fonts/conf.d/65-sil-padauk.conf
/usr/share/doc/sil-padauk-fonts-2.4
/usr/share/doc/sil-padauk-fonts-2.4/FONTLOG.txt
/usr/share/doc/sil-padauk-fonts-2.4/OFL-FAQ.txt
/usr/share/doc/sil-padauk-fonts-2.4/OFL.txt
/usr/share/fontconfig/conf.avail/65-sil-padauk.conf
/usr/share/fonts/sil-padauk
/usr/share/fonts/sil-padauk/Padauk-Bold.ttf
/usr/share/fonts/sil-padauk/Padauk.ttf
Comment 2 Keith Stribley 2009-03-25 01:45:45 EDT
Yes the new package works. However, I found I needed to manually remove padauk-fonts rather than sil-padauk-fonts being regarded as an upgrade.

thanks,
Keith
Comment 3 Bug Zapper 2009-11-18 04:55:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Minto Joseph 2009-11-18 05:31:24 EST
issue fixed..

Note You need to log in before you can comment on or make changes to this bug.